{{#if @value}}
  <table class="table" ...attributes>
    <thead>
      <tr>
        <th scope="col">#</th>
        <th scope="col">Hours</th>
        <th scope="col">Date</th>
        <th scope="col">Details</th>
      </tr>
    </thead>
    <tbody>
      {{#each @value as |record index|}}
        <tr class="row-record">
          <th scope="row">{{sum index 1}}</th>
          <td>{{record.hours}}</td>
          <td>
            <NiceDate @value={{record.date}} />
          </td>
          <td>{{record.details}}</td>
        </tr>
      {{/each}}
    </tbody>
  </table>
{{else}}
  <div class="alert alert-info alert-time-tracking-empty" role="alert">
    {{@emptyMessage}}
  </div>
{{/if}}